 package paketTestDatenbank;
 
 import java.sql.Connection;
 import java.sql.DriverManager;
 import java.sql.ResultSet;
 import java.sql.SQLException;
 import java.sql.Statement;
 
 import paketTestDatenbank.DBTest;
 
 public class TestDB_DAO
 {  // Attribute für den Verbindungsaufbau und den Datenbankzugriff

  // Anfang Attribute
   Connection dbverbindung =null;   //Objekt für den Verbindungsaufbau
   String dbtreiber;                //Variable für den Treiber und Pfad zur DB
   Statement ausfuehrungSQL=null;   //Objekt für die Ausführung von SQl-Anweisung
   String textSQL;                  //Variable zur Aufnahme von SQL-Anweisungen
  // Ende Attribute
  
  
  
  //Konstruktor
  public TestDB_DAO()
  {
  }
  
  // Anfang Methoden
  
  //Methoden zum DBZugriff nicht öffentlich
  private void oeffneDB()
  {
    //Driver Manager
    try
    {
      Class.forName("com.mysql.jdbc.Driver");
    }
    catch(Exception e)
    {
      System.out.println("Driver:" + e.getMessage());
    }
    //Connection
    try
    {
      dbtreiber="jdbc:mysql://localhost/dbtest";
      dbverbindung=DriverManager.getConnection(dbtreiber,"root","");
      ausfuehrungSQL = dbverbindung.createStatement();
      System.out.println("Datenbankverbindung erstellt");
    }
    catch(SQLException err)
    {
      System.out.println("Driver: "+err.getMessage());
    }
  }
  
  private void schliessenDB()
  {
    try
    {
      ausfuehrungSQL.close();
      dbverbindung.close();
    }
    catch(SQLException err)
    {
      System.err.println(err);
    }
  }
  
  //eigene Methoden öffentlich
  public DBTest sucheDatensatz(String tname)
  {
    DBTest testob = new DBTest();
    textSQL ="SELECT idtbTest, name";
    textSQL =textSQL + " FROM tbtest WHERE name ='"+tname+"';";
    System.out.println(textSQL);
    oeffneDB();
    try
    {
      ResultSet abfrageMenge = ausfuehrungSQL.executeQuery(textSQL);
      abfrageMenge.next();
      testob.setIdtest(abfrageMenge.getInt(1));
      testob.setTname(abfrageMenge.getString(2));
    }
    catch (Exception e)
    {
      System.out.println( "TEST Datensuche fehlgeschlagen");
      testob= null;
    }
    schliessenDB();
    System.out.println("Datenbank geschlossen");
    return testob;
  }
  
  public DBTest sucheDatensatz1(String tname)
  {
    DBTest testob = new DBTest();
    System.out.println("TEST");
    oeffneDB();
    System.out.println("Datenbank geöffnet");
    
    schliessenDB();
    System.out.println("Datenbank geschlossen");
    return testob;
    
  }
  // Ende Methoden
  
}